Create newsletter list subscription OAuth Scope: newsletter_lists:write

Subscribe a subscription to a newsletter list. Accepts either a subscription_id or email to identify the subscription. <Info> This endpoint only enrolls **existing** subscriptions. To create a new subscription **and** enroll it in one or more newsletter lists in a single call, use the [Create subscription](/api-reference/subscriptions/create) endpoint and pass the `newsletter_list_ids` parameter. </Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
newsletterListIdstringRequiredformat: "^(nl_list_[0-9a-fA-F\-]+)$"
The prefixed ID of the newsletter list object

Request

This endpoint expects an object.
subscription_idstringOptionalformat: "^(sub_[0-9a-fA-F\-]+)$"

The prefixed ID of the subscription to subscribe. Either subscription_id or email must be provided.

emailstringOptional

The email address of the subscription to subscribe. Either subscription_id or email must be provided.

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error